Loading...
Searching...
No Matches
Opm::RegularizedBrooksCoreyParams< TraitsT > Class Template Reference

Parameters that are necessary for the regularization of the Brooks-Corey capillary pressure model. More...

`#include <RegularizedBrooksCoreyParams.hpp>`

Inheritance diagram for Opm::RegularizedBrooksCoreyParams< TraitsT >:

## Public Types

typedef TraitsT | Traits
Public Types inherited from Opm::BrooksCoreyParams< TraitsT >
typedef TraitsT | Traits

## Public Member Functions

| RegularizedBrooksCoreyParams (Scalar entryPressure, Scalar lambda)
void | finalize ()
| Calculate all dependent quantities once the independent quantities of the parameter object have been set.
Scalar | pcnwLowSw () const
| Return the threshold saturation below which the capillary pressure is regularized.
Scalar | pcnwLow () const
| Return the capillary pressure at the low threshold saturation of the wetting phase.
Scalar | pcnwSlopeLow () const
| Return the slope capillary pressure curve if Sw is smaller or equal to the low threshold saturation.
void | setPcLowSw (Scalar value)
| Set the threshold saturation below which the capillary pressure is regularized.
Scalar | pcnwHigh () const
| Return the capillary pressure at the high threshold saturation of the wetting phase.
Scalar | pcnwSlopeHigh () const
| Return the slope capillary pressure curve if Sw is larger or equal to 1.
Public Member Functions inherited from Opm::BrooksCoreyParams< TraitsT >
| BrooksCoreyParams (Scalar ePressure, Scalar shapeParam)
Scalar | entryPressure () const
| Returns the entry pressure [Pa].
void | setEntryPressure (Scalar v)
| Set the entry pressure [Pa].
Scalar | lambda () const
| Returns the lambda shape parameter.
void | setLambda (Scalar v)
| Set the lambda shape parameter.
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class TraitsT>
class Opm::RegularizedBrooksCoreyParams< TraitsT >

Parameters that are necessary for the regularization of the Brooks-Corey capillary pressure model.

## Member Function Documentation

## pcnwSlopeHigh()

template<class TraitsT>

Scalar Opm::RegularizedBrooksCoreyParams< TraitsT >::pcnwSlopeHigh | ( |  | ) | const

inline

Return the slope capillary pressure curve if Sw is larger or equal to 1.

For this case, we extrapolate the curve using a straight line.

## pcnwSlopeLow()

template<class TraitsT>

Scalar Opm::RegularizedBrooksCoreyParams< TraitsT >::pcnwSlopeLow | ( |  | ) | const

inline

Return the slope capillary pressure curve if Sw is smaller or equal to the low threshold saturation.

For this case, we extrapolate the curve using a straight line.

The documentation for this class was generated from the following file:

- opm/material/fluidmatrixinteractions/RegularizedBrooksCoreyParams.hpp